<?php
if ( ! class_exists( 'KT_Zoho_Logs' ) ) {
	class KT_Zoho_Logs {
		private static $instance;
		private static $enable_log = false ;
		public static function instance() {
			if ( ! isset( self::$instance ) && ! ( self::$instance instanceof KT_Zoho_Logs ) ) {
				self::$instance = new KT_Zoho_Logs();
			}
			return self::$instance;
		}
		function __construct() {
			// clear current log file
			add_action( 'wp_ajax_clear_kt_zoho_log_file', 'KT_Zoho_Logs::clear_log_file' );

		}

		public function log( $text ) {
			if ( self::$enable_log === false ) {
				$settings = get_option( 'kt_zoho_settings' );
				//$settings['enable_logs'];
				self::$enable_log = $settings['enable_log'];
			}
			//var_dump( $settings); die;
			if ( !empty( self::$enable_log ) ) {
				$file = KT_ZOHO_PLUGIN_DIR . "/logs/logs.txt";
				// add new line to log text
				$text = $text . PHP_EOL;
				file_put_contents( $file, $text, FILE_APPEND );
				//implode(PHP_EOL, $arr);
			}
		}
		public static function clear_log_file() {
			$file = KT_ZOHO_PLUGIN_DIR . "/logs/logs.txt";
			file_put_contents( $file, '' );
			echo 'cleared';
			die;
		}

	}
}
if ( ! function_exists( 'KT_Zoho_Logs' ) ) {
	function KT_Zoho_Logs() {
		return KT_Zoho_Logs::instance();
	}
}
KT_Zoho_Logs();
